#include "Valent_angle.h"

#include "Atom.h"

namespace MM
{

Valent_angle::
Valent_angle (Atom const & atom1,
              Atom const & atom2,
              Atom const & atom3 )
:
    Angle (atom1.position(),
           atom2.position(),
           atom3.position()),
    atom1_(atom1),
    atom2_(atom2),
    atom3_(atom3)
{
    REQUIRE ("Atoms 1-2 and 2-3 are bound.", true); //fix
}

}//MM
